Fork of the BigClive AA trickle charger design:
https://www.youtube.com/watch?v=wVnAH17f4jg   

**Raison d'etre (reason for existence):  According to BigClive, the motivation is to have NiMH/NiCad batteries which are constantly topped off and ready to use.  This resonates with me, because batteries do self-discharge over time if just left in a drawer after charging.  This way, whenever I need a battery, I can simply pick it off this charger and know that it is fully charged and ready to use. I don't have to wonder whether it has self-discharged in a drawer and needs to be re-charged before using it.  BigClive's big idea is that rather than storing your batteries in a drawer, you store them on his trickle charger so that they are fully charged and ready whenever you need a battery.**


Advantages of this fork are:
1.  Charges up to 12 AA batteries instead of only 4, yet the PCB design still fits within a 100mmx100mm PCB.
2.  Uses half as many discrete components per battery as the BigClive design.
3.  I posted the KiCad 6 archive file for this project (see below for details) so that anyone who wants to modify or further fork this project can quite easily pick up where I left off and not have to begin again from scratch.


Other differences:
1.  Will trickle charge at a slower rate than the BigClive design.  Given that this is a trickle charger, I'm unsure as to whether that is an advantage or disadvantage, or both.
2.  Uses surface mount rather than through-hole LED's and resistors.
3.  Uses a USB-B connector rather than a micro-USB connector.  This is just my personal preference.  USB-B connectors are what are used on the original Arduino Uno.  They are very sturdy and robust, and I prefer them for that reason.

Commonality:
1.  Inexpensive.  
2.  Quick and easy to assemble.
3.  Both are powered by a USB power source.
4.  Both are trickle charge and neither utilize a charge termination circuit.
5.  Batteries charge independent of one another.
6.  Both have mounting holes.  Mine are for M3 standoffs.  Not sure if that's the same or different from BigClive's mounting holes.
7.  **Intended only for NiMH and/or NiCad batteries.  No other battery types should be charged with it.** 

Disadvantages:
1.  This is a "dumb" charger.  No obvious indication as to when a battery is fully charged.  Instead, a battery is assumed fully charged after it has spent enough time on the charger.  For further explanation, see BigClive's video (link above).
2.  Does not detect whether a battery has been mounted with reverse polarity.
3.  Does not detect what type of battery has been mounted.  
4.  Attempting to charge the wrong type of battery could lead to a hazardous condition and/or catastrophic failure.  There are no safeguards in the circuit to prevent this from happening.  **This is a dumb charger for smart people, not a smart charger for dumb people.** 

Prior to BigClive's video I wasn't aware that trickle charging was even an option for NiMH or NiCad batteries.  I don't know how advisable it is or isn't, or whether extended trickle charging may damage the batteries or not.  What trickle charge current is advisable?  I've seen one reference that suggests up to 0.05C is appropriate for trickle charging NiMH, but I can't vouch for that.  Hence, I am posting this fork of the BigClive design for discussion purposes only. I do not know if constantly trickle charging NiMH/iCAD batteries will damage them. BigClive's youtube video seems to imply that trickle charging is safe and will not create a hazardous condition.  However, I'm not an electrochemist, and I lack the knowledge to say for sure whether that is the case.  For that reason, **only try this project after first properly mounting it inside a suitable fireproof enclosure.**  Better safe than sorry.

I posted the complete KiCAD 6 archive for this project. It is the .rar file under this project's "Files" tab. That means I'm not a bottleneck. Anyone can open up the project and pick up exactly where I left off if they want to make changes or fork.

Inside the .rar file is a zip file. Don't unzip the .zip file. Rather, in Kicad 6, under the "File..." menu, go to "Unarchive project...." and give it the intact .zip file.

If anyone has experience with or knows anything about the advisability of NiMH/NiCAD trickle charging, please post in the comments section.

